%define qtdir /usr/lib/qt-1.44
%define name krootpict
%define version 0.2.1
%define release 1
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KDE root picture applet

Name: %{name}
Version: %{version}
Release: %{release}
Group:  Amusements/Graphics 
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
KDE root picture changer applet.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" \
	./configure --prefix=%{prefix}
make

make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%files
%doc README RNDPICS TODO
%attr(755,root,root) %{prefix}/bin/krootpict

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/apps

%attr(644,root,root) %{prefix}/share/icons/*.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
